Skip to main content
GET
/
newsletter
/
issues
List Issues
curl --request GET \
  --url https://api.getmaito.com/v1/newsletter/issues \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject": "<string>",
      "createdBy": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "slug": "<string>",
      "previewText": "<string>",
      "thumbnailUrl": "<string>",
      "contentHtml": "<string>",
      "contentJson": "<unknown>",
      "scheduledFor": "2023-11-07T05:31:56Z",
      "audience": "<unknown>",
      "isPublic": true,
      "category": {
        "id": "<string>",
        "workspaceId": "<string>",
        "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      },
      "categories": [
        {
          "id": "<string>",
          "workspaceId": "<string>",
          "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>"
        }
      ],
      "stats": {
        "newSubscriberCount": 1,
        "subscriberCountTargeted": 1,
        "sentCount": 1,
        "deliveredCount": 1,
        "openedCount": 1,
        "clickedCount": 1,
        "bouncedCount": 1,
        "complainedCount": 1,
        "failedCount": 1
      },
      "sentAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Issue status.

Available options:
draft,
sending,
sent,
failed
isPublic
boolean

Filter by website visibility. Use true for custom website issue lists.

limit
integer

Maximum rows.

Required range: 1 <= x <= 200

Response

Successful response.

ok
enum<boolean>
required
Available options:
true
data
object[]
required